Package org.apache.catalina.tribes.transport

## Interface DataSender

- All Known Subinterfaces:
    `MultiPointSender`
  All Known Implementing Classes:
    `AbstractSender`, `BioSender`, `MultipointBioSender`, `NioSender`, `ParallelNioSender`, `PooledMultiSender`, `PooledParallelSender`, `PooledSender`

      public interface DataSender

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `connect()` |
    `void` | `disconnect()` |
    `long` | `getConnectTime()` |
    `int` | `getRequestCount()` |
    `boolean` | `isConnected()` |
    `boolean` | `keepalive()` |
    `void` | `setKeepAliveCount​(int maxRequests)` |
    `void` | `setKeepAliveTime​(long keepAliveTimeInMs)` |
    `void` | `setRxBufSize​(int size)` |
    `void` | `setTimeout​(long timeout)` |
    `void` | `setTxBufSize​(int size)` |

- - ### Method Detail

    - #### connect

          void connect()
                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### disconnect

          void disconnect()

    - #### isConnected

          boolean isConnected()

    - #### setRxBufSize

          void setRxBufSize​(int size)

    - #### setTxBufSize

          void setTxBufSize​(int size)

    - #### keepalive

          boolean keepalive()

    - #### setTimeout

          void setTimeout​(long timeout)

    - #### setKeepAliveCount

          void setKeepAliveCount​(int maxRequests)

    - #### setKeepAliveTime

          void setKeepAliveTime​(long keepAliveTimeInMs)

    - #### getRequestCount

          int getRequestCount()

    - #### getConnectTime

          long getConnectTime()